/**
 * 
 */
package gov.va.med.esr.common.batchprocess;

import org.apache.commons.lang.builder.ToStringBuilder;

import gov.va.med.fw.model.AbstractEntity;

/**
 * @author DNS   KATIKM
 *
 */
public class LoadVSSCDataException extends AbstractEntity {

	private static final long serialVersionUID = -4543163377708508828L;
	private String inputRawData;    
    private String exceptionReason;
    
	/* (non-Javadoc)
	 * @see gov.va.med.fw.model.AbstractEntity#buildToString(org.apache.commons.lang.builder.ToStringBuilder)
	 */
	protected void buildToString(ToStringBuilder builder) {
		builder.append("inputRawData",inputRawData);
		builder.append("exceptionReason",exceptionReason);
	}

	/**
	 * @return Returns the exceptionReason.
	 */
	public String getExceptionReason() {
		return this.exceptionReason;
	}

	/**
	 * @param exceptionReason The exceptionReason to set.
	 */
	public void setExceptionReason(String exceptionReason) {
		this.exceptionReason = exceptionReason;
	}

	/**
	 * @return Returns the inputRawData.
	 */
	public String getInputRawData() {
		return this.inputRawData;
	}

	/**
	 * @param inputRawData The inputRawData to set.
	 */
	public void setInputRawData(String inputRawData) {
		this.inputRawData = inputRawData;
	}
}
